Subject: RE: [Sigtran] (M2PA) Initial version of M2PA IG is Now Available -- to be? or not to be?

From: "Craig, Jeffrey" <[email-masked]>
Date: Sat, 27 May 2006 13:06:04 -0500

Hello All,

Regarding the silence on the M2PA IG: Let's give the community some
time. 
There is no rush. I suspect that most interested parties are busy making
money and are not following the SIGTRAN list as closely as they used to,

especially considering some of the nonsense being posted.

Brian Bidulock stated:
> it represents the author's views only
> does not capture any discussions from the working group

<sigh>

Brian's two statements are false. The material is taken from posts to
the
SIGTRAN list, issues identified at plugtests, issues identified during
the
course of numerous inter-operability tests Tekelec has performed, and
issues
identified over the course of many successful Tekelec deployments of
M2PA 
in customer networks worldwide. The IG draft was reviewed and approved
by 
a team of Tekelec SS7 engineers prior to my submitting it to the IETF.

In a way, I was presented a catch-22 situation with the IG, since after 
soliciting ideas for the IG on the list, several M2PA developers at
other 
companies expressed interest, but suggested that they would help only
after
I submitted a draft. So here it is.

Brian Bidulock stated:
> is unsuitable in its current form as a WG item

This is not a reasonable statement, but it is consistent with his past 
unreasonable statements to the effect that he would not accept any M2PA 
Implementer's Guide. Brian has already expressed the view that RFC4165
is
perfect. Many people, including myself, disagree with him. Why is he
considered a credible reviewer of the M2PA IG?

Brian Bidulock stated:
> I suggest that draft-bidulock-sigtran-m2pa-test-06.txt be advanced as 
> an informational RFC.

M2PA test specs are of value, but they are no substitute for a M2PA IG.
RFC4165 describes a good protocol, but it is a protocol that can be made
better and described better, and the IG is the place to do it.

I would think that the public could benefit from those of us who have 
successfully implemented and deployed M2PA in real world networks. The 
M2PA IG is an excellent means for sharing the knowledge. Let's settle 
the argument about the appropriateness of the vehicle and move on to 
discussing the content.

Regards,

Jeff

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Wednesday, May 24, 2006 1:40 PM
To: Ong, Lyndon
Cc: [email-masked]; Craig, Jeffrey
Subject: Re: [Sigtran] (M2PA) Initial version of M2PA IG is Now
Available

Lyndon,

On the contrary, in my case silence means that I disagree with
the entire document.  IMHO it represents the author's views
only, does not capture any discussions from the working group,
and is unsuitable in its current form as a WG item.

OTOH, as test specs are suitable as informational RFCs, and
there is, of yet, no other industry test specification for M2PA,
I suggest that draft-bidulock-sigtran-m2pa-test-06.txt be
advanced as an informational RFC.

--brian

Lyndon Ong wrote:                                (Wed, 24 May 2006
10:42:57)
> 
>    Hi Folks,
> 
> 
> 
>    I have not seen any comments on Jeff's first draft of the M2PA IG,
> 
>    so assuming that silence means no concerns - are there objections
> 
>    to making the next version a WG draft?
> 
> 
> 
>    Cheers,
> 
> 
> 
>    L. Ong
>      _________________________________________________________________
> 
>    From: Craig, Jeffrey [mailto:[email-masked]]
>    Sent: Thursday, May 11, 2006 1:38 PM
>    To: [email-masked]
>    Subject: [Sigtran] (M2PA) Initial version of M2PA IG is Now
Available
> 
>    Hello All,
> 
> 
> 
>    The initial version of the M2PA Implementer's Guide is now
available.
[1]http://www.ietf.org/internet-drafts/draft-craig-sigtran-m2pa-ig-00.
>    txt
>    Regards,
>    Jeff
> References
>    1.
http://www.ietf.org/internet-drafts/draft-craig-sigtran-m2pa-ig-00.txt

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/sigtran

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran